package com.game.objects;

import org.anddev.andengine.engine.handler.physics.PhysicsHandler;
import org.anddev.andengine.entity.scene.Scene;
import org.anddev.andengine.entity.shape.Shape;
import org.anddev.andengine.entity.sprite.AnimatedSprite;
import org.anddev.andengine.entity.sprite.AnimatedSprite.IAnimationListener;
import org.anddev.andengine.opengl.texture.region.TiledTextureRegion;

import android.content.Context;

import com.game.commons.cTools;
import com.game.commons.cGame_Commons.ACTION_PLAYER;
import com.game.interfaces.IGame_CommonItem;
import com.qwerjk.andengine.entity.sprite.PixelPerfectAnimatedSprite;
import com.qwerjk.andengine.opengl.texture.region.PixelPerfectTiledTextureRegion;

public class cGame_Object_Part extends PixelPerfectAnimatedSprite implements IGame_CommonItem{
	
	protected int gop_id; 
	public String gop_tradecode;
	public PhysicsHandler gop_PhysicsHandler;
	
	public Shape gop_Shape;
	
	public cGame_Object_Part(float pX, float pY, float pTileWidth,float pTileHeight, PixelPerfectTiledTextureRegion pTiledTextureRegion,String tTRADECODE,int tzindex) {
		super(pX, pY,pTiledTextureRegion);
		this.gop_id=cTools.generic_id();
		this.gop_tradecode=tTRADECODE;
		this.setZIndex(tzindex);
		   //**************** VELOCITAT INICIAL ***********************
		   gop_PhysicsHandler = new PhysicsHandler(this);
		   this.registerUpdateHandler(gop_PhysicsHandler);
		   this.gop_PhysicsHandler.setVelocity(0, 0);
		   this.gop_Shape=this;
	}
	
	@Override
	public void getInfo(Context tActivity)
	{
		
	}
	
	@Override
	public void addScene(Scene ts)
	{
	
	}

	@Override
	public void move() 
	{

	}

	@Override
	public void anima(long ms,ACTION_PLAYER action) 
	{
		
	}
	
	
	
}
